Commit 1daf9bd3 authored by Jan Kiene's avatar Jan Kiene
Browse files

cleanup ci file

parent 89a349ab
Loading
Loading
Loading
Loading
Loading
+15 −6
Original line number Diff line number Diff line
@@ -144,18 +144,27 @@ self-test-on-merge-request:
    - python3 ./scripts/self_test.py --encref IVAS_cod_ref --decref IVAS_dec_ref --enctest IVAS_cod_test --dectest IVAS_dec_test | tee test_output.txt

    ### analyse test output

    # some helper variables
    - non_be_flag=$(echo $CI_MERGE_REQUEST_TITLE | grep -c --ignore-case "\[non[ -]*be\]")
    - run_errors=$(cat test_output.txt | grep -c "Run errors were encountered for the following conditions:")
    - bitexact=$(cat test_output.txt | grep -c "All [0-9]* tests are bitexact")
    - exit_code_non_be=123
    - exit_code_fail=1

    # check for crashes during the test, if any happened, fail the test
    - if cat test_output.txt | grep -c "Run errors were encountered for the following conditions:"; then echo "Codec had run errors"; exit 1; fi
    - if $run_errors ; then echo "Run errors in self_test.py"; exit $exit_code_fail; fi

    # check for non bitexact output and fail test if the merge request does not have a non-BE tag
    - if ! cat test_output.txt | grep -c "All [0-9]* tests are bitexact" && ! echo $CI_MERGE_REQUEST_TITLE | grep -c --ignore-case "\[non[ -]*be\]"; then echo "Non-bitexact cases without non-BE tag encountered"; exit 1; fi
    - if ! cat test_output.txt | grep -c "All [0-9]* tests are bitexact"; then echo "Non-bitexact cases with non-BE tag encountered"; exit 123; fi
    - if ! $bitexact && ! $non_be_flag ; then echo "Non-bitexact cases without non-BE tag encountered"; exit $exit_code_fail; fi
    - if ! $bitexact ; then echo "Non-bitexact cases with non-BE tag encountered"; exit $exit_code_non_be; fi

    ### run SBA pytest
    - exit_code=0
    - python3 ./scripts/ivas_pytests/self_test_b.py --encref IVAS_cod_ref --decref IVAS_dec_ref --encdut IVAS_cod_test --decdut IVAS_dec_test || exit_code=$?
    - if [ $exit_code -eq 1 ] && ! echo $CI_MERGE_REQUEST_TITLE | grep -c --ignore-case "\[non[ -]*be\]"; then echo "pytest run had failures and non-BE flag not present"; exit 1; fi
    - if [ $exit_code -eq 1 ]; then echo "pytest run had failures and non-BE flag present"; exit 123; fi
    - if [ $exit_code -ne 0 ]; then echo "pytest run had errors"; exit $exit_code; fi;
    - if [ $exit_code -eq 1 ] && ! $non_be_flag; then echo "pytest run had failures and non-BE flag not present"; exit $exit_code_fail; fi
    - if [ $exit_code -eq 1 ]; then echo "pytest run had failures and non-BE flag present"; exit $exit_code_non_be; fi
    - if [ $exit_code -ne 0 ]; then echo "pytest run had errors"; exit $exit_code_fail; fi;
  allow_failure:
    exit_codes:
      - 123